aboutsummaryrefslogtreecommitdiff
path: root/src/auditor
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2023-08-23 22:01:14 +0200
committerChristian Grothoff <christian@grothoff.org>2023-08-23 22:01:14 +0200
commitcadd58c4f66fb861f51f11c30c28217e4362a5d5 (patch)
tree4094f52358491142064eb7fe64e2ab70c3f7a8c6 /src/auditor
parentad4b829e2feae6dc9aee2d5fe35cf9c6a3d09e6d (diff)
downloadexchange-cadd58c4f66fb861f51f11c30c28217e4362a5d5.tar.xz
cleaner exiting
Diffstat (limited to 'src/auditor')
-rwxr-xr-xsrc/auditor/setup.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/auditor/setup.sh b/src/auditor/setup.sh
index 87946b05c..eb8a784ee 100755
--- a/src/auditor/setup.sh
+++ b/src/auditor/setup.sh
@@ -17,7 +17,7 @@ function exit_cleanup()
then
echo "Killing taler-unified-setup ($SETUP_PID)" >&2
kill -TERM "$SETUP_PID" 2> /dev/null || true
- wait
+ wait "$SETUP_PID" 2> /dev/null || true
fi
}